SDL_DestroySurface(3)

NAME
SDL_DestroySurface - Free a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

void SDL_DestroySurface(SDL_Surface *surface);

DESCRIPTION
It is safe to pass NULL to this function.

FUNCTION PARAMETERS

surface
    the SDL_Surface to free.

THREAD SAFETY
No other thread should be using the surface when it is freed.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateSurface(3), SDL_CreateSurfaceFrom(3)